<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <requires lib="libadwaita" version="1.0"/>
  <template class="SidebarColumn" parent="GtkBox">
    <property name="name">sidebar_column</property>
    <property name="width-request">320</property>
    <property name="hexpand">1</property>
    <property name="orientation">vertical</property>
    <child>
      <object class="AdwHeaderBar" id="headerbar">
        <property name="show-start-title-buttons">1</property>
        <property name="show-end-title-buttons">0</property>
        <child type="title">
          <object class="GtkBox">
            <property name="visible">False</property>
          </object>
        </child>
        <child>
          <object class="GtkToggleButton" id="account_button">
            <property name="receives-default">1</property>
            <property name="tooltip-text" translatable="yes">Account</property>
            <child>
              <object class="GtkImage" id="account_button_image">
              </object>
            </child>
            <style>
              <class name="flat"/>
            </style>
          </object>
        </child>
        <child type="end">
          <object class="GtkMenuButton" id="menu_button">
            <property name="receives-default">1</property>
            <property name="icon-name">open-menu-symbolic</property>
            <property name="tooltip-text" translatable="yes">Menu</property>
          </object>
        </child>
        <child type="end">
          <object class="GtkMenuButton" id="add_button">
            <property name="receives-default">1</property>
            <property name="icon-name">list-add-symbolic</property>
            <property name="tooltip-text" translatable="yes">Add Feed/Category/Tag</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="SideBar" id="sidebar">
        <style>
          <class name="navigation-sidebar"/>
        </style>
      </object>
    </child>
  </template>
</interface>
